View Issue Details

IDProjectCategoryView StatusLast Update
0000286luatexluatex bugpublic2009-12-24 17:13
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.50.0Fixed in Version0.46.0 
Summary0000286: fix cambria script placement for large ops
Descriptionit is rather obviously wrong now, as in this context file:

\usetypescript[cambria]
\setupbodyfont[cambria]

\starttext
    $\displaystyle \int ^2_2$
\stoptext

TagsNo tags attached.

Activities

Taco

2009-11-02 09:43

administrator   ~0000310

From Khaled:

Office 2007 seems to handle sub/superscripts of big operators
differently; superscript is placed immediately after base glyph while a
negative kern equal to italic correction is inserted between base and
subscript i.e. the reverse of what is described in the spec, and math
kerning is ignored completely.

Taco

2009-11-20 12:13

administrator   ~0000347

#3181 implemented this suggestion, however, now in context mkiv the placement
of operator limits in latin modern became a mess (because the metrics do not
agree).

I will revert both #3181 and the original patch #3066 that did special code for variable delimiters, and Hans will somehow have to fix this in the cambria special settings overload

Taco

2009-11-20 12:19

administrator   ~0000348

Both the font metrics and the spec on how to handle it are a mess, this will have to be patched by lua code.

Taco

2009-11-23 16:43

administrator   ~0000352

Actually, the lack of horizontal displacement between super- and subscript were a luatex error that is now corrected by commit #3189

Taco

2009-11-23 16:59

administrator   ~0000353

And the way too much whitespace between integral and scripts also turned out to
be a luatex problem, that is corrected by #3190.

The result is now still too wide, but that is truly cambria's fault: the integrals have large italic corrections while in fact they fit in their bounding boxes.

Taco

2009-12-11 13:24

administrator   ~0000375

Khaled asked Microsoft for clarification, and the result is the following rule:

* If a character is part of an extensible list in any way,
  then use the italic correction only to tuck the subscript in
  (and ignore that ic for all other purposes).
* If a character is not part of an extensible list, treat
  the italic correction as is normal in math mode.

Taco

2009-12-21 12:14

administrator   ~0000376

Fixed by commit 3276. Context mkiv needs patching!

Issue History

Date Modified Username Field Change
2009-10-30 10:12 Taco New Issue
2009-10-30 10:12 Taco Status new => assigned
2009-10-30 10:12 Taco Assigned To => Taco
2009-11-02 09:43 Taco Note Added: 0000310
2009-11-09 22:15 Taco View Status private => public
2009-11-20 12:13 Taco Note Added: 0000347
2009-11-20 12:19 Taco Status assigned => resolved
2009-11-20 12:19 Taco Resolution open => not fixable
2009-11-20 12:19 Taco Note Added: 0000348
2009-11-23 16:43 Taco Note Added: 0000352
2009-11-23 16:59 Taco Note Added: 0000353
2009-11-26 16:12 Taco Fixed in Version => 0.46.0
2009-11-26 16:12 Taco Status resolved => closed
2009-12-11 13:24 Taco Note Added: 0000375
2009-12-11 13:24 Taco Status closed => assigned
2009-12-11 13:24 Taco Resolution not fixable => open
2009-12-21 12:14 Taco Note Added: 0000376
2009-12-21 12:14 Taco Status assigned => resolved
2009-12-21 12:14 Taco Resolution open => fixed
2009-12-24 17:13 Taco Status resolved => closed